=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-07-16 18:14:23 +0000
+++ bzrlib/builtins.py	2008-07-17 02:02:35 +0000
@@ -3407,7 +3407,10 @@
             testament_class = StrictTestament
         else:
             testament_class = Testament
-        b = WorkingTree.open_containing(branch)[0].branch
+        if branch == '.':
+            b = Branch.open_containing(branch)[0]
+        else:
+            b = Branch.open(branch)
         b.lock_read()
         try:
             if revision is None:

